%define module_version 0.002
%define module_name Type-API
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: a common interface for type constraints, based on observed patterns (documentation only)
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Type-API

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This distribution documents common patterns used by type constraint
libraries: in particular the methods that type constraints typically
provide, their parameters, return values, and expected behaviour.

Type constraint libraries typically provide more methods than these,
but by restricting your code to making use of those documented in
Type::API, you may be able to improve your code's interoperability.

=over

=item *

the Type::API::Constraint manpage

=item *

the Type::API::Constraint::Coercible manpage

=item *

the Type::API::Constraint::Constructor manpage

=item *

the Type::API::Constraint::Inlinable manpage

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE COPYRIGHT README
%perl_vendor_privlib/T*

%changelog
* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

